#
# spec file for package perl-Archive-Extract
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Archive-Extract
Name:           perl-Archive-Extract
Version:        0.88
Release:        1.19
Summary:        Generic archive extracting mechanism
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IPC::Cmd) >= 0.64
BuildRequires:  perl(Locale::Maketext::Simple)
BuildRequires:  perl(Module::Load::Conditional) >= 0.66
BuildRequires:  perl(Params::Check) >= 0.07
Requires:       perl(IPC::Cmd) >= 0.64
Requires:       perl(Locale::Maketext::Simple)
Requires:       perl(Module::Load::Conditional) >= 0.66
Requires:       perl(Params::Check) >= 0.07
%{perl_requires}

%description
Archive::Extract is a generic archive extraction mechanism.

It allows you to extract any archive file of the type .tar, .tar.gz, .gz,
.Z, tar.bz2, .tbz, .bz2, .zip, .xz,, .txz, .tar.xz or .lzma without having
to worry how it does so, or use different interfaces for each type by using
either perl modules, or commandline tools on your system.

See the 'HOW IT WORKS' section further down for details.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc CHANGES README

%changelog
* Fri May  7 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.88
  see /usr/share/doc/packages/perl-Archive-Extract/CHANGES
  0.88    Thu May  6 14:11:31 BST 2021
  * Refactor type detection into type_for() function
* Fri Dec  6 2019 <timueller+perl@suse.de>
- updated to 0.86
  see /usr/share/doc/packages/perl-Archive-Extract/CHANGES
  0.86    Thu Dec  5 20:53:07 GMT 2019
  * Fix RT#131072 which was due to tar.exe and CRLF line endings
* Thu Dec  5 2019 <timueller+perl@suse.de>
- updated to 0.84
  see /usr/share/doc/packages/perl-Archive-Extract/CHANGES
  0.84    Wed Dec  4 21:20:04 GMT 2019
  * Fix RT#119084 - won't compile on MSWin32 with taint
* Mon Nov 25 2019 <timueller+perl@suse.de>
- updated to 0.82
  see /usr/share/doc/packages/perl-Archive-Extract/CHANGES
  0.82    Fri Nov 22 19:09:35 GMT 2019
  * Correctly compare version string for Archive::Tar (#7)
  * Remove duplicate entry from the MANIFEST file. (#6)
  * Treat minix the same as NetBSD
* Mon Feb 13 2017 coolo@suse.com
- updated to 0.80
  see /usr/share/doc/packages/perl-Archive-Extract/CHANGES
  0.80    Wed Jan 18 23:14:32 GMT 2017
  * Change Linux unzip heuristic to match FreeBSD's [rt#119905]
* Sat Oct  8 2016 coolo@suse.com
- updated to 0.78
  see /usr/share/doc/packages/perl-Archive-Extract/CHANGES
  0.78    Wed Jul 27 20:40:15 2016
  * CVE-2016-1238: avoid loading optional modules from default .
* Tue Jul  7 2015 coolo@suse.com
- updated to 0.76
  see /usr/share/doc/packages/perl-Archive-Extract/CHANGES
  0.76    Sat Jul  4 18:44:42 2015
  * Resolve RT#105425, putting refs in $/ has been
    fatal since v5.20.0
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.74
  see /usr/share/doc/packages/perl-Archive-Extract/CHANGES
  0.74    Thu Nov 20 10:03:50 2014
  * NetBSD's tar does not like some archives
    on CPAN, prefer gtar if it is available.
* Wed Jun  4 2014 coolo@suse.com
- initial package 0.72
  * created by cpanspec 1.78.08
